- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::util::IllegalArgumentException Class Reference

Indicates one or more legal arguments. More...

`#include <IllegalArgumentException.h>`

Inheritance diagram for geos::util::IllegalArgumentException:

List of all members.

## Public Member Functions
| IllegalArgumentException (const std::string &msg)

## Detailed Description

Indicates one or more legal arguments.

This exception is thrown - for example - when trying to apply set-theoretic methods to a GeometryCollection object.

The documentation for this class was generated from the following file:

- IllegalArgumentException.h